## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-firestore
%global         forgeurl    https://github.com/googleapis/python-firestore
Version:        2.6.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Firestore API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(aiounittest)
BuildRequires:  python3dist(google-cloud-testutils)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Google Cloud Firestore API is a flexible, scalable database for mobile,
web, and server development from Firebase and Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup*.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst *.md samples
%{python3_sitelib}/google_cloud_firestore-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Jul 27 2022 Major Hayden <major@redhat.com> 2.6.0-1
- Update to 2.6.0 rhbz#2108121

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 2.5.3-2
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Major Hayden <major@redhat.com> 2.5.3-1
- Update to 2.5.3

* Tue Jun 14 2022 Major Hayden <major@redhat.com> 2.5.2-3
- Add pytest-asyncio for tests

* Wed Jun 01 2022 Major Hayden <major@redhat.com> 2.5.2-2
- Allow all tests to run

* Wed Jun 01 2022 Major Hayden 🤠 <major@redhat.com> 2.5.2-1
- 🚀 Update to 2.5.2

* Tue May 31 2022 Major Hayden 🤠 <major@redhat.com> 2.5.1-1
- Update to 2.5.1

* Thu May 19 2022 Major Hayden <major@mhtx.net> 2.5.0-1
- 🚀 Update to 2.5.0

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> 2.4.0-2
- Update patches for 2.4.0

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> 2.4.0-1
- Update to 2.4.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 2.3.4-3
- Update unittest.mock patch

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 2.3.4-2
- Remove docs BuildRequires

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 2.3.4-1
- Update to 2.3.4

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 2.3.1-3
- Add rpm-autospec

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 2.3.1-2
- Fix tests with PEP 420 workaround

* Mon Sep 13 2021 Major Hayden <major@mhtx.net> 2.3.1-1
- Initial import (#1999312)
